#
# spec file for package kopete (Version 0.7.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel kde3-devel-packages xmms xmms-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils cracklib expat fam fam-devel fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel mesa mesaglut mesaglut-devel openssl-devel pcre pcre-devel perl qt3 qt3-devel rpm update-desktop-files xmms xmms-devel

Name:         kopete
URL:          http://kopete.kde.org/
License:      GPL
Group:        Productivity/Networking/Talk/Clients
Summary:      An Instant Messenger for ICQ, IRC, AIM, and MSN
Version:      0.7.3
Release:      21
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      %{name}-%{version}.tar.bz2
Patch2:       hu.diff
Patch3:       kopete-msg.diff
Patch4:       msn-0.7.4-fix.diff
Patch5:       kopete_winpopup.patch

%description
Kopete can handle several instant messenger protocols due to its
plug-in system. You can can contact your friends via AIM(AOL), ICQ,
MSN, or IRC.



Authors:
--------
    Duncan Mac-Vicar Prett <duncan@kdedevelopers.net>
    Nick Betcher <nbetcher@usinternet.com>
    Ryan Cumming <bodnar42@phalynx.dhs.org>
    Martin Klingens <klingens@kde.org>
    Stefan Gehen <sgehn@gmx.net>
    Richard Stellingwerff <remenic@linuxfromscratch.org>

%prep
%setup -q
%patch2
%patch3
%patch4 -p1
%patch5
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
  
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=${RPM_BUILD_ROOT} $INSTALL_TARGET
%suse_update_desktop_file kopete InstantMessaging
%find_lang %name

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %name.lang
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/share/applnk/*/*
/opt/kde3/share/apps/kopete
/opt/kde3/share/sounds
/opt/kde3/share/icons/*
/opt/kde3/share/apps/kconf_update/kopete-*
/opt/kde3/share/apps/krichtexteditpart
/opt/kde3/share/services/*.desktop
/opt/kde3/share/servicetypes/*.desktop

%changelog -n kopete
* Thu Jul 15 2004 - adrian@suse.de
- fix security issue in winpopup protocoll (#34081)
* Tue Dec 23 2003 - adrian@suse.de
- apply fix from 0.7.4 for new MSN protocol
* Sun Oct 12 2003 - adrian@suse.de
- update to version 0.7.3
  * Yahoo protocol is working again
* Sat Sep 20 2003 - adrian@suse.de
- implement /msg command in irc.
  this patch is important, because coolo will not speak with me for
  4 weeks, if our default chat application do not support this.
* Sun Sep 14 2003 - adrian@suse.de
- fix from HEAD for icq/aim bug
* Wed Sep 10 2003 - adrian@suse.de
- update to 0.7.2 final tar ball, instead of using the branch patch
  * remaining jabber issues fixed
  * msn9 fixed
* Tue Sep 09 2003 - adrian@suse.de
- add hungarian translation by Peter Varkoly
* Mon Sep 01 2003 - adrian@suse.de
- update to current 0_7_branch (short before 0.7.2)
  * fixes MSN protocol usage
* Wed Aug 13 2003 - adrian@suse.de
- update to version 0.7.1
* Tue Aug 05 2003 - adrian@suse.de
- update to version 0.7
- new dependency to xmms, maybe a subpackage should be created
* Wed Jul 30 2003 - uli@suse.de
- disabled Mandrake workaround (fixes build on several archs)
* Mon Jul 28 2003 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 - adrian@suse.de
- add Categories
* Sat Jun 14 2003 - coolo@suse.de
- package one more dir
* Thu Jun 12 2003 - coolo@suse.de
- use %%find_lang
* Tue Apr 29 2003 - adrian@suse.de
- update to version 0.6.2
* Thu Feb 20 2003 - adrian@suse.de
- update to version 0.6.1a
  * fixes AIM protocol
* Tue Feb 18 2003 - adrian@suse.de
- update to version 0.6.1
  * fixes several crashes
* Tue Feb 11 2003 - adrian@suse.de
- update to version 0.6.0
* Sat Jan 25 2003 - adrian@suse.de
- fix build with gcc 3.3
* Sun Oct 20 2002 - adrian@suse.de
- update to version 0.5.1
* Mon Jun 17 2002 - adrian@suse.de
- update to version 0.4.1
* Sun Jun 02 2002 - adrian@suse.de
- update to version 0.4
* Thu May 23 2002 - coolo@suse.de
- use update_admin
* Tue May 07 2002 - coolo@suse.de
- fix build for ia64 in using shared libraries to build shared
  libraries
* Sun Apr 14 2002 - adrian@suse.de
- initial package of kopete 0.3
- fixed for gcc 3
